Name: opium
Version: 3.8
Release: 1%{?dist}
Summary: Open-source Pseudopotential Generator
# Silly, but the closest available
Group: Applications/Engineering
License: GPLv2+
URL: http://opium.sourceforge.net/
Source0: http://downloads.sourceforge.net/project/opium/opium/opium-v%version/opium-v%version-src.tgz

BuildRequires: gcc-gfortran openblas-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Open-source Pseudopotential Interface / Unification Module (OPIUM)
can generate pseudopotentials in an interactive way, perform
ghost checks, Kleinman-Bylander transformation, and output in many
different pseudopotential file formats.

The ab initio pseudopotential method is now a well established tool in
condensed matter physics, computational chemistry and material
science. At the present time there are a good number of codes
available, both commercial and in the public domain, that perform
electronic structure calculations of molecules and solids based on the
pseudopotential scheme. The most important input information that
these programs require are the pseudopotentials used in the
calculation.  Features included in the current release of Opium:

    Scalar-relativistic and non-relativistic pseudopotential generation
    Ability to construct Optimized (RRKJ) or Kerker pseudopotentials
    Partial core correction of Louie, Froyen and Cohen
    Can test and generate and test pseudopotentials that support semicore states
    Ghost state checking following the method suggested by Gonze, Stumpf, and Scheffler
    Automatic plotting of wavefunctions, potentials, and density using xmgrace
    Implementation of the designed non-local potential approach of Ramer and Rappe.

%prep
%setup -q -n %name-v%version-src

%build
%configure #FFLAGS="-g -O2 -fdefault-real-8 -fno-automatic"
# not SMP-clean
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir
install opium $RPM_BUILD_ROOT%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%check
# most (?) of the testdir tests fail, apparently because things just
# aren't supported

%files
%defattr(-,root,root,-)
%{_bindir}/%name
%doc COPYING doc/CHANGELOG README doc/README_solidstatecodes

%changelog
* Wed Jul 16 2014 Dave Love <d.love@liverpool.ac.uk> - 3.8-1
- New version

* Tue Jul  2 2013 Dave Love <d.love@liverpool.ac.uk> - 3.7-1
- Initial packaging
